List the packs
curl --request GET \
--url https://app.useqx.com/api/v1/packs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.useqx.com/api/v1/packs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.useqx.com/api/v1/packs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "pck_12",
"name": "Importação marítima",
"kind": "operation",
"required_for": "pj",
"active": true,
"identification_mode": "any",
"requirements": [
{
"document_type": {
"id": "dtp_31",
"name": "Fatura Comercial (Commercial Invoice)"
},
"required": true,
"identifier": true,
"accepts_many": true,
"position": 1
},
{
"document_type": {
"id": "dtp_32",
"name": "Bill of Lading (B/L)"
},
"required": true,
"identifier": true,
"accepts_many": false,
"position": 2
},
{
"document_type": {
"id": "dtp_33",
"name": "Romaneio de Carga (Packing List)"
},
"required": false,
"identifier": false,
"accepts_many": true,
"position": 3
}
]
},
{
"id": "pck_9",
"name": "Cadastro PJ",
"kind": "kyc",
"required_for": "pj",
"active": true,
"identification_mode": "any",
"requirements": [
{
"document_type": {
"id": "dtp_4",
"name": "Contrato Social"
},
"required": true,
"identifier": false,
"accepts_many": false,
"position": 1
},
{
"document_type": {
"id": "dtp_7",
"name": "Cartão CNPJ"
},
"required": true,
"identifier": false,
"accepts_many": false,
"position": 2
}
]
}
],
"has_more": false,
"next_cursor": null
}Packs
List the packs
Lists the packs of the key’s organization, from the newest to the oldest. The list includes the active packs and the inactive packs. Each pack includes its requirements in the pack order.
GET
/
packs
List the packs
Authorizations
The API key of the organization, in the Authorization: Bearer <key> header. The key starts with qx_.
Query Parameters
The number of items on the page, from 1 to 100. The default is 25.
Required range:
1 <= x <= 100The next_cursor value of the previous page. Without this parameter, the list starts at the newest item.
With true, the list includes only the active packs. With false, the list includes only the inactive packs.
The kind of the pack. A kyc pack asks for the registration documents of the client. An operation pack asks for the documents of an operation.
Available options:
kyc, operation